Name:           aesfix
Version:        1.0.1
Release:    1%{?dist}
License:        BSD-3-Clause
Summary:        Correct bit errors in AES-128 key schedule

URL:            https://citp.princeton.edu/our-work/memory/

Source0:        https://citpsite.s3.amazonaws.com/memory-content/src/%{name}-%{version}.tar.gz

Source1:        https://citpsite.s3.amazonaws.com/memory-content/src/%{name}-%{version}.tar.gz.asc

Source2:        gpgkey-12E404FFD3C931F934052D06B8841A919D0FACE4.gpg

Source3:        aesfix.1

Patch1:         aesfix-10_add-GCC-hardening.patch


Buildrequires:  gcc-c++
Buildrequires:  make
BuildRequires:  gnupg2


%description
The aesfix tool illustrates a technique for correcting bit errors in an
AES key schedule. This program is limited to AES-128 key schedules
and it can only correct unidirectional 1->0 bit errors.
For the most part it has been optimized for readability rather than
performance.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n %{name}


%build
%set_build_flags
%make_build


%install
install -Dp -m755 %{name} %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_mandir}/man1
install -p -m644 %{SOURCE3} %{buildroot}%{_mandir}/man1


%files
%license LICENSE
%doc README samples
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
